Récupérer une autorisation d'API d'application

GET /v1/applications/{application_id}/api-grants/{api_id} · permission applications:write

Retourne les scopes qu'une application peut demander pour une API, et les scopes accordés par défaut.

Demande

Paramètre Dans Description
application_id path Identifiant de l'application (app_…).
api_id path Identifiant de l'API (api_…).

Réponse

200 OK.

{
  "application_id": "app_6f8d0cjgbmf0gtn2rg6pscp3cg",
  "api_id": "api_0000000000000000000000001z",
  "scopes": ["orders:read", "orders:write"],
  "default_scopes": ["orders:read"],
  "created_at": "2026-10-05T10:00:01Z",
  "updated_at": "2026-10-05T10:00:01Z"
}

Erreurs

HTTP code Quand
401 unauthenticated La clé est manquante, invalide ou révoquée.
403 insufficient_permissions La clé n'a pas la permission requise.
404 not_found L'application ou l'autorisation n'existe pas dans cet environnement.

Exemple

curl https://api.eu.keenauth.com/v1/applications/app_6f8d0cjgbmf0gtn2rg6pscp3cg/api-grants/api_0000000000000000000000001z \
  -H "Authorization: Bearer $KEENAUTH_SECRET_KEY"